- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO_No_Hint_Strategy Class Reference

No hint strategy. More...

`#include <Active_Object_Map.h>`

Inheritance diagram for TAO_No_Hint_Strategy:

[legend]
Collaboration diagram for TAO_No_Hint_Strategy:

[legend]
List of all members.

## Public Member Functions
virtual | ~TAO_No_Hint_Strategy (void)
| Virtual destructor.
virtual int | recover_key (const PortableServer::ObjectId &system_id, PortableServer::ObjectId &user_id)
| Find the user id from the system id.
virtual int | bind (TAO_Active_Object_Map_Entry &entry)
| Add to map.
virtual int | unbind (TAO_Active_Object_Map_Entry &entry)
| Remove from map.
virtual int | find (const PortableServer::ObjectId &system_id, TAO_Active_Object_Map_Entry *&entry)
| Find system id.
virtual size_t | hint_size (void)
| How big is the hint generated by this strategy?
virtual int | system_id (PortableServer::ObjectId_out system_id, TAO_Active_Object_Map_Entry &entry)
| Get the system id associated with this entry.

## Detailed Description

No hint strategy.

Strategy for not adding active hints to ids.

## Constructor & Destructor Documentation

TAO_No_Hint_Strategy::~TAO_No_Hint_Strategy | ( | void |  | ) | `[virtual]`

Virtual destructor.

## Member Function Documentation

int TAO_No_Hint_Strategy::bind | ( | TAO_Active_Object_Map_Entry & | entry | ) | `[virtual]`

Add to map.

Implements TAO_Id_Hint_Strategy.

int TAO_No_Hint_Strategy::find | ( | const PortableServer::ObjectId & | system_id,
|  | TAO_Active_Object_Map_Entry *& | entry |
| ) |  |  | `[virtual]`

Find system id.

Implements TAO_Id_Hint_Strategy.

size_t TAO_No_Hint_Strategy::hint_size | ( | void |  | ) | `[virtual]`

How big is the hint generated by this strategy?

Implements TAO_Id_Hint_Strategy.

int TAO_No_Hint_Strategy::recover_key | ( | const PortableServer::ObjectId & | system_id,
|  | PortableServer::ObjectId & | user_id |
| ) |  |  | `[virtual]`

Find the user id from the system id.

Implements TAO_Id_Hint_Strategy.

int TAO_No_Hint_Strategy::system_id | ( | PortableServer::ObjectId_out | system_id,
|  | TAO_Active_Object_Map_Entry & | entry |
| ) |  |  | `[virtual]`

Get the system id associated with this entry.

Implements TAO_Id_Hint_Strategy.

int TAO_No_Hint_Strategy::unbind | ( | TAO_Active_Object_Map_Entry & | entry | ) | `[virtual]`

Remove from map.

Implements TAO_Id_Hint_Strategy.

The documentation for this class was generated from the following files:

- Active_Object_Map.h
- Active_Object_Map.cpp